Summary: Drag and Drop File Manager
Name: OffiX-Files
Version: 2.4e
Release: 1
Source: ftp.leb.net:/pub/offix/Files-2.4e.tar.gz
Patch0: Files-2.4a-fhs.diff
Patch1: Files-2.4a-Xaw3d.diff
URL: http://leb.net/OffiX/
BuildRoot: /tmp/Files-build/
Copyright: GPL
Group: X11/Applications

%description
This is as file manager based on xfm. It provides virtually all of the
features that you would expect in a file manager -- move around your
directory tree in multiple windows, move, copy or delete files, and launch
programs with simple mouse operations.

%prep
%setup -n Files-2.4e
%patch0 -p1
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 --with-dnd-inc=/usr/X11R6/include/X11 --with-dnd-lib=/usr/X11R6/lib --datadir=/usr/X11R6/lib/X11 --includedir=/usr/X11R6/include/X11 --with-magic-headers
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/
make prefix=$RPM_BUILD_ROOT/usr/X11R6 datadir=$RPM_BUILD_ROOT/usr/X11R6/lib/X11 includedir=$RPM_BUILD_ROOT/usr/X11R6/include/X11 install
strip $RPM_BUILD_ROOT/usr/X11R6/bin/files
install -m 644 src/Files.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Files

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING ChangeLog INSTALL README THANKS
%dir /usr/X11R6/lib/X11/OffiX
%config /usr/X11R6/lib/X11/OffiX/FilesMagic
%config /usr/X11R6/lib/X11/OffiX/Filesrc
/usr/X11R6/bin/files
/usr/X11R6/man/man1/files.1
/usr/X11R6/man/man3/regexp.3
/usr/X11R6/lib/X11/app-defaults/Files
/usr/X11R6/include/X11/pixmaps
/usr/X11R6/include/X11/bitmaps
